VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xbr"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL c_in
        SIGNAL a
        SIGNAL b
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        SIGNAL s
        SIGNAL c_out
        PORT Input c_in
        PORT Input a
        PORT Input b
        PORT Output s
        PORT Output c_out
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF xor2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 60 -128 
            LINE N 256 -96 208 -96 
            ARC N -40 -152 72 -40 48 -48 44 -144 
            ARC N -24 -152 88 -40 64 -48 64 -144 
            LINE N 128 -144 64 -144 
            LINE N 128 -48 64 -48 
            ARC N 44 -144 220 32 208 -96 128 -144 
            ARC N 44 -224 220 -48 128 -48 208 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 and2
            PIN I0 c_in
            PIN I1 XLXN_3
            PIN O XLXN_9
        END BLOCK
        BEGIN BLOCK XLXI_2 and2
            PIN I0 b
            PIN I1 a
            PIN O XLXN_8
        END BLOCK
        BEGIN BLOCK XLXI_3 xor2
            PIN I0 b
            PIN I1 a
            PIN O XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_4 xor2
            PIN I0 c_in
            PIN I1 XLXN_3
            PIN O s
        END BLOCK
        BEGIN BLOCK XLXI_5 or2
            PIN I0 XLXN_8
            PIN I1 XLXN_9
            PIN O c_out
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 1616 1488 R0
        INSTANCE XLXI_2 1632 1728 R0
        INSTANCE XLXI_3 1040 864 R0
        INSTANCE XLXI_4 2160 1120 R0
        INSTANCE XLXI_5 2176 1616 R0
        BEGIN BRANCH XLXN_3
            WIRE 1296 768 1616 768
            WIRE 1616 768 1728 768
            WIRE 1728 768 1728 992
            WIRE 1728 992 2160 992
            WIRE 1536 752 1616 752
            WIRE 1616 752 1616 768
            WIRE 1536 752 1536 1360
            WIRE 1536 1360 1616 1360
        END BRANCH
        BEGIN BRANCH c_in
            WIRE 800 1056 1328 1056
            WIRE 1328 1056 2160 1056
            WIRE 1328 1056 1328 1424
            WIRE 1328 1424 1616 1424
        END BRANCH
        BEGIN BRANCH a
            WIRE 800 736 976 736
            WIRE 976 736 1040 736
            WIRE 976 736 976 1600
            WIRE 976 1600 1632 1600
        END BRANCH
        BEGIN BRANCH b
            WIRE 800 800 912 800
            WIRE 912 800 1040 800
            WIRE 912 800 912 1664
            WIRE 912 1664 1632 1664
        END BRANCH
        BEGIN BRANCH XLXN_8
            WIRE 1888 1632 2032 1632
            WIRE 2032 1552 2032 1632
            WIRE 2032 1552 2176 1552
        END BRANCH
        BEGIN BRANCH XLXN_9
            WIRE 1872 1392 2016 1392
            WIRE 2016 1392 2016 1488
            WIRE 2016 1488 2176 1488
        END BRANCH
        IOMARKER 800 736 a R180 28
        IOMARKER 800 800 b R180 28
        IOMARKER 800 1056 c_in R180 28
        BEGIN BRANCH s
            WIRE 2416 1024 2448 1024
        END BRANCH
        IOMARKER 2448 1024 s R0 28
        BEGIN BRANCH c_out
            WIRE 2432 1520 2464 1520
        END BRANCH
        IOMARKER 2464 1520 c_out R0 28
    END SHEET
END SCHEMATIC
